<?php
session_start();

require_once ('../script_php/conexaoSQL.php');
require_once ('Boleto.php');
require_once ('../script_php/RemotoInterno.php');

$remoto = new RemotoInterno;
$boleto = new Boletos;

$dados = json_decode($_POST['boletos']);

$dataBaixa = $_POST['datapagamento'];

$dataBaixar = $remoto->converterDataParaSqlServer($dataBaixa);

$dataAtualHora = date('d/m/Y H:m:s');

$lojaConsulta = $_POST['loja'];

$formaPagameto = $_POST['tipoPagamento'];

foreach ($dados as $value) {

$numeroBoleto = $boleto->boletoPorNumero($value);

foreach ($numeroBoleto as $value2) {

     $boleto->baixarBoleto($dataBaixar, $value2[1], $value2[2], $_SESSION['usuario'],$value, $dataAtualHora,$formaPagameto,);
    
    //echo $value . $lojaConsulta . $dataBaixar . $_SESSION['usuario'] . round($value2[1],3) . $value2[2] . "<br>";
}

}

header("Location: ../conta_filtroBaixa.php");